#!/bin/bash
set -e
[ $# -lt 2 ] && { echo "Usage: copy_jar_and_deploy.sh JAR_FILENAME DOCKER_DIR_NAME [MODULE_ROOT]"; exit 1; }

VAGRANT_PATH=/d/myFolder/folio/folio-ansible
VAGRANT_VM_NAME=testing
SCRIPT_DIR=deployment_scripts

JAR_FILE=$1
DOCKER_DIRECTORY=$2
MODULE_ROOT=$3
if [[ -z "$MODULE_ROOT" ]]; then
   MODULE_ROOT=.
fi

echo "Using module root $MODULE_ROOT"

mkdir -p $VAGRANT_PATH/$DOCKER_DIRECTORY/target
cp $MODULE_ROOT/target/$JAR_FILE $VAGRANT_PATH/$DOCKER_DIRECTORY/target
cp $MODULE_ROOT/target/ModuleDescriptor.json $VAGRANT_PATH/$DOCKER_DIRECTORY
cd $VAGRANT_PATH
vagrant ssh $VAGRANT_VM_NAME -c "cd /vagrant/$SCRIPT_DIR && sudo ./run-basic.sh $DOCKER_DIRECTORY $JAR_FILE"
